Bug 55478 - SSL Environment Variable Issue with 2.4.9-6
Summary: SSL Environment Variable Issue with 2.4.9-6
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mod_ssl   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-31 23:06 UTC by Need Real Name
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-31 23:06:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-10-31 23:06:09 UTC
Description of Problem:
I can not access any of the SSL environment variables on an Apache+mod-ssl 
server under 2.4.9-6 kernel.  For example, with the code:

print out "Inside userlist-cgi-Level 1: ENV{'SSL_CLIENT_O'} = 
$ENV{'SSL_CLIENT_O'}\n\n"


the variable $ENV{'SSL_CLIENT_O'} is not defined, but the 
organization/company is part of the embedded certificates for the browser 
clients coming to the secure web site.

I have perl/cgi scripts that query the browser certificates and based on 
information discovered, the users are vectored off to different web sites.

This all works fine under the 2.2.x kernel.

I really do not know if this is a 'bug,' but nothing else has changed 
except the kernel version.

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Mark J. Cox 2001-11-23 15:46:14 UTC
With mod_ssl 2.4.9 per default no SSI/CGI variables
SSL_* are created any longer (only the special "HTTPS" variable is
always created). Instead one has to use `SSLOptions +StdEnvVars' (in httpd.conf)
to switch the creation on


Note You need to log in before you can comment on or make changes to this bug.